Package com.smartgwt.client.widgets.cube

# Class FacetValue

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.widgets.cube.FacetValue

All Implemented Interfaces:
  `HasHandlers`

public class FacetValue extends RefDataClass
Facet value definition object made use of by the `CubeGrid` and `FacetChart` classes (contained by facets).

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetValue()`
  `FacetValue(JavaScriptObject jsObj)`
  `FacetValue(Integer id)`
  `FacetValue(Integer id, String title)`
  `FacetValue(Integer id, String title, Integer parentId)`
  `FacetValue(String id)`
  `FacetValue(String id, String title)`
  `FacetValue(String id, String title, String parentId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Alignment`
  `getAlign()`
  Default alignment for facet label title and cells for this facetValue.
  `String`
  `getBorderAfter()`
  CSS line style to apply as a border after this facetValue.
  `String`
  `getBorderBefore()`
  CSS line style to apply as a border before this facetValue.
  `Boolean`
  `getCanCollapse()`
  For individual parent facetValues within a hierarchical facet, this flag controls whether an expand/collapse control will be shown.
  `Boolean`
  `getCanEdit()`
  Whether cells for this facetValue can be edited.
  `Boolean`
  `getCanMinimize()`
  If `facet minimizing` is enabled, whether this facet value should show controls to minimize the next facet.
  `Alignment`
  `getCellAlign()`
  Default alignment of cells (in the body) for this facetValue.
  `Boolean`
  `getCollapsed()`
  For tree facets, initial collapse state for this node.
  `Object`
  `getId()`
  id of this facetValue.
  `Integer`
  `getIdAsInt()`
  id of this facetValue.
  `String`
  `getIdAsString()`
  id of this facetValue.
  `Boolean`
  `getIsMinimizeValue()`
  Used to determine which facetValue is to be shown when the facet is minimized.
  `Boolean`
  `getMinimized()`
  Initial `minimize state` for this node.
  `static FacetValue`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getParentId()`
  For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.
  `Integer`
  `getParentIdAsInt()`
  For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.
  `Integer`
  `getParentIdAsInteger()`
  Deprecated.
  in favor of `getParentIdAsInt()`.
  `SelectionBoundary`
  `getSelectionBoundary()`
  Selection boundary determining what facets / facetValues can be selected together by drag selection / shift+click selection.
  `String`
  `getTitle()`
  User-visible title of this facetValue.
  `String`
  `getTitleHilite()`
  Hilite style to apply to the title for this facetValue.
  `int`
  `getWidth()`
  Width of the cube grid facetValue in pixels.
  `FacetValue`
  `setAlign(Alignment align)`
  Default alignment for facet label title and cells for this facetValue.
  `FacetValue`
  `setBorderAfter(String borderAfter)`
  CSS line style to apply as a border after this facetValue.
  `FacetValue`
  `setBorderBefore(String borderBefore)`
  CSS line style to apply as a border before this facetValue.
  `FacetValue`
  `setCanCollapse(Boolean canCollapse)`
  For individual parent facetValues within a hierarchical facet, this flag controls whether an expand/collapse control will be shown.
  `FacetValue`
  `setCanEdit(Boolean canEdit)`
  Whether cells for this facetValue can be edited.
  `FacetValue`
  `setCanMinimize(Boolean canMinimize)`
  If `facet minimizing` is enabled, whether this facet value should show controls to minimize the next facet.
  `FacetValue`
  `setCellAlign(Alignment cellAlign)`
  Default alignment of cells (in the body) for this facetValue.
  `FacetValue`
  `setCollapsed(Boolean collapsed)`
  For tree facets, initial collapse state for this node.
  `void`
  `setId(Integer id)`
  id of this facetValue.
  `void`
  `setId(String id)`
  id of this facetValue.
  `FacetValue`
  `setIsMinimizeValue(Boolean isMinimizeValue)`
  Used to determine which facetValue is to be shown when the facet is minimized.
  `FacetValue`
  `setMinimized(Boolean minimized)`
  Initial `minimize state` for this node.
  `FacetValue`
  `setParentId(Integer parentId)`
  For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.
  `FacetValue`
  `setParentId(String parentId)`
  For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.
  `FacetValue`
  `setSelectionBoundary(SelectionBoundary selectionBoundary)`
  Selection boundary determining what facets / facetValues can be selected together by drag selection / shift+click selection.
  `FacetValue`
  `setTitle(String title)`
  User-visible title of this facetValue.
  `FacetValue`
  `setTitleHilite(String titleHilite)`
  Hilite style to apply to the title for this facetValue.
  `FacetValue`
  `setWidth(int width)`
  Width of the cube grid facetValue in pixels.

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FacetValue

    public FacetValue()

  - ### FacetValue

    public FacetValue(JavaScriptObject jsObj)

  - ### FacetValue

    public FacetValue(String id)

  - ### FacetValue

    public FacetValue(String id, String title)

  - ### FacetValue

    public FacetValue(String id, String title, String parentId)

  - ### FacetValue

    public FacetValue(Integer id)

  - ### FacetValue

    public FacetValue(Integer id, String title)

  - ### FacetValue

    public FacetValue(Integer id, String title, Integer parentId)

- ## Method Details

  - ### getOrCreateRef

    public static FacetValue getOrCreateRef(JavaScriptObject jsObj)

  - ### setAlign

    public FacetValue setAlign(Alignment align)
    Default alignment for facet label title and cells for this facetValue. Can be overridden by setting titleAlign or cellAlign on the facetValue.

    Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.facetValueAlign`).

    Parameters:
      `align` - New align value. Default value is null
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getAlign

    public Alignment getAlign()
    Default alignment for facet label title and cells for this facetValue. Can be overridden by setting titleAlign or cellAlign on the facetValue.

    Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.facetValueAlign`).

    Returns:
      Current align value. Default value is null

  - ### setBorderAfter

    public FacetValue setBorderAfter(String borderAfter)
    CSS line style to apply as a border after this facetValue.

    Note: This property is specific to `CubeGrids`.

    Parameters:
      `borderAfter` - New borderAfter value. Default value is null
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getBorderAfter

    public String getBorderAfter()
    CSS line style to apply as a border after this facetValue.

    Note: This property is specific to `CubeGrids`.

    Returns:
      Current borderAfter value. Default value is null

  - ### setBorderBefore

    public FacetValue setBorderBefore(String borderBefore)
    CSS line style to apply as a border before this facetValue.

    Note: This property is specific to `CubeGrids`.

    Parameters:
      `borderBefore` - New borderBefore value. Default value is null
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getBorderBefore

    public String getBorderBefore()
    CSS line style to apply as a border before this facetValue.

    Note: This property is specific to `CubeGrids`.

    Returns:
      Current borderBefore value. Default value is null

  - ### setCanCollapse

    public FacetValue setCanCollapse(Boolean canCollapse)
    For individual parent facetValues within a hierarchical facet, this flag controls whether an expand/collapse control will be shown.

    Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.canCollapseFacets`).

    Parameters:
      `canCollapse` - New canCollapse value. Default value is true
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getCanCollapse

    public Boolean getCanCollapse()
    For individual parent facetValues within a hierarchical facet, this flag controls whether an expand/collapse control will be shown.

    Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.canCollapseFacets`).

    Returns:
      Current canCollapse value. Default value is true

  - ### setCanEdit

    public FacetValue setCanEdit(Boolean canEdit)
    Whether cells for this facetValue can be edited. Defaults to `CubeGrid.canEdit`.

    Note: This property is specific to `CubeGrids`.

    Parameters:
      `canEdit` - New canEdit value. Default value is cubeGrid.canEdit
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getCanEdit

    public Boolean getCanEdit()
    Whether cells for this facetValue can be edited. Defaults to `CubeGrid.canEdit`.

    Note: This property is specific to `CubeGrids`.

    Returns:
      Current canEdit value. Default value is cubeGrid.canEdit

  - ### setCanMinimize

    public FacetValue setCanMinimize(Boolean canMinimize)
    If `facet minimizing` is enabled, whether this facet value should show controls to minimize the next facet. Generally a tree facet should not also allow minimizing the next facet the interaction of the two types of collapsing can be confusing.

    Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.canMinimizeFacets`).

    Parameters:
      `canMinimize` - New canMinimize value. Default value is true
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getCanMinimize

    public Boolean getCanMinimize()
    If `facet minimizing` is enabled, whether this facet value should show controls to minimize the next facet. Generally a tree facet should not also allow minimizing the next facet the interaction of the two types of collapsing can be confusing.

    Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.canMinimizeFacets`).

    Returns:
      Current canMinimize value. Default value is true

  - ### setCellAlign

    public FacetValue setCellAlign(Alignment cellAlign)
    Default alignment of cells (in the body) for this facetValue.

    Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.cellAlign`).

    Parameters:
      `cellAlign` - New cellAlign value. Default value is facet.cellAlign
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getCellAlign

    public Alignment getCellAlign()
    Default alignment of cells (in the body) for this facetValue.

    Note: This property is specific to `CubeGrids` (see, for example, `CubeGrid.cellAlign`).

    Returns:
      Current cellAlign value. Default value is facet.cellAlign

  - ### setCollapsed

    public FacetValue setCollapsed(Boolean collapsed)
    For tree facets, initial collapse state for this node. Defaults to `Facet.collapsed`.

    Note: This property is specific to `CubeGrids`.

    Parameters:
      `collapsed` - New collapsed value. Default value is facet.collapsed
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getCollapsed

    public Boolean getCollapsed()
    For tree facets, initial collapse state for this node. Defaults to `Facet.collapsed`.

    Note: This property is specific to `CubeGrids`.

    Returns:
      Current collapsed value. Default value is facet.collapsed

  - ### setIsMinimizeValue

    public FacetValue setIsMinimizeValue(Boolean isMinimizeValue)
    Used to determine which facetValue is to be shown when the facet is minimized.

    Note: This property is specific to `CubeGrids`. See `CubeGrid.canMinimizeFacets`.

    Parameters:
      `isMinimizeValue` - New isMinimizeValue value. Default value is false
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getIsMinimizeValue

    public Boolean getIsMinimizeValue()
    Used to determine which facetValue is to be shown when the facet is minimized.

    Note: This property is specific to `CubeGrids`. See `CubeGrid.canMinimizeFacets`.

    Returns:
      Current isMinimizeValue value. Default value is false

  - ### setMinimized

    public FacetValue setMinimized(Boolean minimized)
    Initial `minimize state` for this node. Defaults to `Facet.minimized`.

    Note: This property is specific to `CubeGrids`.

    Parameters:
      `minimized` - New minimized value. Default value is facet.minimized
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getMinimized

    public Boolean getMinimized()
    Initial `minimize state` for this node. Defaults to `Facet.minimized`.

    Note: This property is specific to `CubeGrids`.

    Returns:
      Current minimized value. Default value is facet.minimized

  - ### setParentId

    public FacetValue setParentId(String parentId)
    For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.

    Note: This property is specific to `CubeGrids`.

    Note : This is an advanced setting

    Parameters:
      `parentId` - New parentId value. Default value is null
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getParentId

    public String getParentId()
    For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.

    Note: This property is specific to `CubeGrids`.

    Returns:
      Current parentId value. Default value is null

  - ### setParentId

    public FacetValue setParentId(Integer parentId)
    For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.

    Note: This property is specific to `CubeGrids`.

    Note : This is an advanced setting

    Parameters:
      `parentId` - New parentId value. Default value is null
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getParentIdAsInt

    public Integer getParentIdAsInt()
    For tree facets (`facet.isTree`), id of this facetValue's parent facetValue.

    Note: This property is specific to `CubeGrids`.

    Returns:
      Current parentId value. Default value is null

  - ### setSelectionBoundary

    public FacetValue setSelectionBoundary(SelectionBoundary selectionBoundary)
    Selection boundary determining what facets / facetValues can be selected together by drag selection / shift+click selection.

    Note: This property is specific to `CubeGrids`.

    Parameters:
      `selectionBoundary` - New selectionBoundary value. Default value is null
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getSelectionBoundary

    public SelectionBoundary getSelectionBoundary()
    Selection boundary determining what facets / facetValues can be selected together by drag selection / shift+click selection.

    Note: This property is specific to `CubeGrids`.

    Returns:
      Current selectionBoundary value. Default value is null

  - ### setTitle

    public FacetValue setTitle(String title)
    User-visible title of this facetValue. Shown on the field header.
    Parameters:
      `title` - New title value. Default value is null
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getTitle

    public String getTitle()
    User-visible title of this facetValue. Shown on the field header.
    Returns:
      Current title value. Default value is null

  - ### setTitleHilite

    public FacetValue setTitleHilite(String titleHilite)
    Hilite style to apply to the title for this facetValue.

    Note: This property is specific to `CubeGrids`. See `CubeGrid.hilites`.

    Parameters:
      `titleHilite` - New titleHilite value. Default value is null
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getTitleHilite

    public String getTitleHilite()
    Hilite style to apply to the title for this facetValue.

    Note: This property is specific to `CubeGrids`. See `CubeGrid.hilites`.

    Returns:
      Current titleHilite value. Default value is null

  - ### setWidth

    public FacetValue setWidth(int width)
    Width of the cube grid facetValue in pixels.

    Note: This property is specific to `CubeGrids`.

    Parameters:
      `width` - New width value. Default value is facet.width
    Returns:
      `FacetValue` instance, for chaining setter calls

  - ### getWidth

    public int getWidth()
    Width of the cube grid facetValue in pixels.

    Note: This property is specific to `CubeGrids`.

    Returns:
      Current width value. Default value is facet.width

  - ### setId

    public void setId(Integer id)
    id of this facetValue. Any string or number.
    Parameters:
      `id` - id Default value is null

  - ### setId

    public void setId(String id)
    id of this facetValue. Any string or number.
    Parameters:
      `id` - id Default value is null

  - ### getId

    public Object getId()
    id of this facetValue. Any string or number.
    Parameters:
      `id` - id Default value is null

  - ### getIdAsString

    public String getIdAsString()
    id of this facetValue. Any string or number.
    Parameters:
      `id` - id Default value is null

  - ### getIdAsInt

    public Integer getIdAsInt()
    id of this facetValue. Any string or number.
    Parameters:
      `id` - id Default value is null

  - ### getParentIdAsInteger

    public Integer getParentIdAsInteger()
    Deprecated.
    in favor of `getParentIdAsInt()`.
    See `getParentIdAsInt()`.